> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an inexplicit number order

> Get an existing inexplicit number order by ID.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/ordering.yml get /inexplicit_number_orders/{id}
openapi: 3.1.0
info:
  title: Telnyx Phone Number Ordering API
  version: 2.0.0
  description: API for ordering phone numbers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /inexplicit_number_orders/{id}:
    get:
      tags:
        - Inexplicit Number Orders
      summary: Retrieve an inexplicit number order
      description: Get an existing inexplicit number order by ID.
      operationId: RetrieveInexplicitNumberOrder
      parameters:
        - name: id
          in: path
          required: true
          description: Identifies the inexplicit number order
          schema:
            type: string
            format: uuid
      responses:
        '200':
          $ref: '#/components/responses/InexplicitNumberOrderResponse'
        '400':
          $ref: '#/components/responses/numbers_BadRequestResponse'
        '401':
          $ref: '#/components/responses/numbers_UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/numbers_NotFoundResponse'
        '422':
          $ref: '#/components/responses/numbers_UnprocessableEntity'
        '500':
          $ref: '#/components/responses/numbers_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const inexplicitNumberOrder = await
            client.inexplicitNumberOrders.retrieve(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );


            console.log(inexplicitNumberOrder.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            inexplicit_number_order = client.inexplicit_number_orders.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(inexplicit_number_order.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinexplicitNumberOrder, err := client.InexplicitNumberOrders.Get(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inexplicitNumberOrder.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.inexplicitnumberorders.InexplicitNumberOrderRetrieveParams;

            import
            com.telnyx.sdk.models.inexplicitnumberorders.InexplicitNumberOrderRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    InexplicitNumberOrderRetrieveResponse inexplicitNumberOrder = client.inexplicitNumberOrders().retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            inexplicit_number_order =
            telnyx.inexplicit_number_orders.retrieve("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(inexplicit_number_order)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $inexplicitNumberOrder = $client->inexplicitNumberOrders->retrieve(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
              );

              var_dump($inexplicitNumberOrder);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx inexplicit-number-orders retrieve \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  responses:
    InexplicitNumberOrderResponse:
      description: Successful response with details about an inexplicit number order.
      content:
        application/json:
          schema:
            type: object
            title: Inexplicit Number Order Response
            properties:
              data:
                $ref: '#/components/schemas/InexplicitNumberOrderResponse'
    numbers_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    numbers_NotFoundResponse:
      description: The requested resource doesn't exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
  schemas:
    InexplicitNumberOrderResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the inexplicit number order
        connection_id:
          type: string
          description: Connection id to apply to phone numbers that are purchased
        messaging_profile_id:
          type: string
          description: Messaging profile id to apply to phone numbers that are purchased
        customer_reference:
          type: string
          description: Reference label for the customer
        billing_group_id:
          type: string
          description: Billing group id to apply to phone numbers that are purchased
        ordering_groups:
          type: array
          items:
            type: object
            properties:
              country_iso:
                type: string
                description: Country where you would like to purchase phone numbers
              phone_number_type:
                type: string
                description: Number type
              count_requested:
                type: integer
                description: Quantity of phone numbers requested
              count_allocated:
                type: integer
                description: Quantity of phone numbers allocated
              status:
                type: string
                description: Status of the ordering group
                enum:
                  - pending
                  - processing
                  - failed
                  - success
                  - partial_success
              national_destination_code:
                type: string
                description: Filter by area code
              phone_number[starts_with]:
                type: string
                description: Filter by the starting digits of the phone number
              phone_number[ends_with]:
                type: string
                description: Filter by the ending digits of the phone number
              phone_number[contains]:
                type: string
                description: Filter for phone numbers that contain the digits specified
              administrative_area:
                type: string
                description: Filter for phone numbers in a given state / province
              strategy:
                type: string
                description: Ordering strategy used
                enum:
                  - always
                  - never
              quickship:
                type: boolean
                description: >-
                  Filter to exclude phone numbers that need additional time
                  after to purchase to activate. Only applicable for +1
                  toll_free numbers.
              exclude_held_numbers:
                type: boolean
                description: >-
                  Filter to exclude phone numbers that are currently on
                  hold/reserved for your account.
              error_reason:
                type: string
                description: Error reason if applicable
              orders:
                type: array
                description: Array of orders created to fulfill the inexplicit order
                items:
                  type: object
                  properties:
                    number_order_id:
                      type: string
                      format: uuid
                      description: ID of the main number order
                    sub_number_order_ids:
                      type: array
                      items:
                        type: string
                        format: uuid
                      description: Array of sub number order IDs
                  required:
                    - number_order_id
                    - sub_number_order_ids
              created_at:
                type: string
                format: date-time
                description: >-
                  ISO 8601 formatted date indicating when the ordering group was
                  created
              updated_at:
                type: string
                format: date-time
                description: >-
                  ISO 8601 formatted date indicating when the ordering group was
                  updated
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated
    numbers_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/numbers_Error'
      type: object
    numbers_Error:
      properties:
        code:
          type: string
          example: '10007'
        title:
          type: string
          example: Unexpected error
        detail:
          type: string
          example: An unexpected error occured.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /base
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````